Not-So-Smartphones of 2011

not-so-smart-phones.jpg

Not sure about about this one, the premises or the conclusion (that all older Android phones should be considered ‘orphans’ and that Android should be identified as the most vulnerable platform)… 

They identify ‘Orphan Android’ devices as “phones running any Android OS 2.3.3 or less.”

Related Tech News

Share your knowledge - Leave a comment